# BarcodeAccumulationConfiguration class

Configuration for how to accumulate results.

## Constructors

BarcodeAccumulationConfiguration({int minConfirmationsStandaloneEAN = 1, int accumulationTime = 500, bool removeUnconnectedResults = true, BarcodeAccumulationMethod method = BarcodeAccumulationMethod.INTERPOLATE_BY_CAMERA})
BarcodeAccumulationConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

accumulationTime ↔ int
  The time in milliseconds to accumulate barcodes across multiple frames.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
method ↔ BarcodeAccumulationMethod
  The method how to display barcodes from previous frames.
  getter/setter pair
minConfirmationsStandaloneEAN ↔ int
  In case that ean/upc both with and without extensions are allowed, we require confirmations to consider a standalone EAN or UPC (i.e. without extension) as valid.
  getter/setter pair
removeUnconnectedResults ↔ bool
  If true, the results from previous frames that are not connected to results on the current frame will be removed. This is should be enabled when large camera movements are expected. For small camera movements, the option can be disabled.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited